# Makefile.inc for mohawk

OPSYS!= uname -s

.if ${OPSYS} == "FreeBSD"
PREFIX?=  /usr/local
CFLAGS+=  -I${PREFIX}/include
LDFLAGS+= -L${PREFIX}/lib/event2
LDADD+=   -lcrypt -levent-2.0
MANDIR= ${PREFIX}/man/man
OSVERSION!= sysctl -n kern.osreldate
.if ${OSVERSION} >= 1000032
YFLAGS+= -i
.endif

.elif ${OPSYS} == "NetBSD"
PREFIX?=  /usr/pkg
CFLAGS+=  -I${PREFIX}/include
LDFLAGS+= -L${PREFIX}/lib -Wl,-rpath -Wl,${PREFIX}/lib 
LDADD+=   -lcrypt -levent
MKHTML=   no
MANDIR= ${PREFIX}/man

.elif ${OPSYS} == "OpenBSD"
PREFIX?=  /usr/local
CFLAGS+=  -Wno-unused -I${PREFIX}/include
LDFLAGS+= -L${PREFIX}/lib -levent_core -levent_extra
SRCS+=    compat.c
MANDIR= ${PREFIX}/man/man

.else
.error ${OPSYS} not supported

.endif

BINDIR= ${PREFIX}/sbin
